TransformedIterator.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <boost/iterator/iterator_facade.hpp>`
`#include <iterator>`

Go to the source code of this file.

## Classes

class | polybori::UnaryOperatorTraits< UnaryFunc >
class | polybori::UnaryOperatorTraits< ResultType(*)(ArgType)>
class | polybori::TransformedIterator< IteratorType, OperatorType >
| This class defines the iterator of Trnasformed sequence. More...

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2012-01-19

This file includes the definition of the class `TransformedSequence`.

Copyright:
  (c) 2012 by The PolyBoRi Team